summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author D Woodfall2023-05-16 16:34:19 +0200
committer Willy Sudiarto Raharjo2023-05-20 06:17:56 +0200
commit1447112c50a4cf030da6d24803ee4dc656458695 (patch)
tree3bac2673c13927d46b674f6833007a495ae62fff
parentc1473502bd78f28f0ce262cbfad2e2b01a298d23 (diff)
downloadslackbuilds-1447112c50a4cf030da6d24803ee4dc656458695.tar.gz
academic/spidey: Fix and mv ARCH sect.
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/spidey/spidey.SlackBuild16
1 files changed, 7 insertions, 9 deletions
diff --git a/academic/spidey/spidey.SlackBuild b/academic/spidey/spidey.SlackBuild
index 8010b54af8..09928e95bb 100644
--- a/academic/spidey/spidey.SlackBuild
+++ b/academic/spidey/spidey.SlackBuild
@@ -30,12 +30,16 @@ PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i386 ;;
- arm*) ARCH=arm ;;
+ i?86) ARCH=i586 ;;
*) ARCH=$( uname -m ) ;;
esac
fi
+if ! [[ $ARCH =~ i?86 ]] && ! [ "$ARCH" = "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
@@ -48,12 +52,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-
-if [ "$ARCH" != "i386" ] && [ "$ARCH" != "x86_64" ]; then
- printf "\n\n$ARCH is not supported... \n"
- exit 1
-fi
-
# Determine the source arch. Many thanks to the Ugene project for the
# 64bit executable!
if [ "$ARCH" = "x86_64" ]; then
@@ -73,7 +71,7 @@ cd $PRGNAM-$VERSION
gunzip -c $CWD/$PRGNAM.linux${SRCARCH}.gz > spidey
-install -D -m755 spidey $PKG/usr/bin/spidey
+install -D -m 755 spidey $PKG/usr/bin/spidey
mkdir -p $PKG/usr/man/man1
cp $CWD/$PRGNAM.1 $PKG/usr/man/man1/$PRGNAM.1